Bug 127093 - No menu entry for Xsane
Summary: No menu entry for Xsane
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: xsane (Show other bugs)
(Show other bugs)
Version: 2
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Seth Nickell
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-07-01 20:31 UTC by Damian Christey
Modified: 2007-11-30 22:10 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-16 17:41:13 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Damian Christey 2004-07-01 20:31:15 UTC
Description of problem:
The xsane package shipped with Fedora Core 2 contains no .desktop
file, and does not show up in the menus.


Version-Release number of selected component (if applicable):
xsane-0.92-10

How reproducible:
Always.

Steps to Reproduce:
1. $ yum install xsane
2. Log out.
3. Log back in.
4. Check menus.

Actual results:
There is no menu entry for "Xsane" or "scanning" to be found.

Expected results:
In Fedora Core 1, Xsane showed up under the "Graphics" menu as "Scanning".

Additional info:
$ rpm -ql xsane
/usr/bin/xsane
/usr/share/doc/xsane-0.92
/usr/share/doc/xsane-0.92/xsane.ACCELKEYS
/usr/share/doc/xsane-0.92/xsane.AUTHOR
/usr/share/doc/xsane-0.92/xsane.BACKENDS
/usr/share/doc/xsane-0.92/xsane.BEGINNERS-INFO
/usr/share/doc/xsane-0.92/xsane.BUGS
/usr/share/doc/xsane-0.92/xsane.CHANGES
/usr/share/doc/xsane-0.92/xsane.COPYING
/usr/share/doc/xsane-0.92/xsane.INSTALL
/usr/share/doc/xsane-0.92/xsane.LANGUAGES
/usr/share/doc/xsane-0.92/xsane.LOGO
/usr/share/doc/xsane-0.92/xsane.NEWS
/usr/share/doc/xsane-0.92/xsane.ONLINEHELP
/usr/share/doc/xsane-0.92/xsane.PROBLEMS
/usr/share/doc/xsane-0.92/xsane.REMOVE
/usr/share/doc/xsane-0.92/xsane.ROOT
/usr/share/doc/xsane-0.92/xsane.RPM
/usr/share/doc/xsane-0.92/xsane.TODO
/usr/share/doc/xsane-0.92/xsane.VENDOR-STRINGS
/usr/share/doc/xsane-0.92/xsane.spec
/usr/share/doc/xsane-0.92/xsane.spec.in
/usr/share/doc/xsane-0.92/xsane.spec.in.old
/usr/share/man/man1/xsane.1.gz
/usr/share/sane
/usr/share/sane/xsane
/usr/share/sane/xsane/Mustek-logo.xpm
/usr/share/sane/xsane/Plustek-logo.xpm
/usr/share/sane/xsane/UMAX-logo.xpm
/usr/share/sane/xsane/doc
/usr/share/sane/xsane/doc/sane-backends-doc.html
/usr/share/sane/xsane/doc/sane-pnm-doc.html
/usr/share/sane/xsane/doc/sane-problems-doc.html
/usr/share/sane/xsane/doc/sane-scantips-doc.html
/usr/share/sane/xsane/doc/sane-xsane-advanced-doc.html
/usr/share/sane/xsane/doc/sane-xsane-batch-scan-doc.html
/usr/share/sane/xsane/doc/sane-xsane-color-correction-doc.html
/usr/share/sane/xsane/doc/sane-xsane-copy-doc.html
/usr/share/sane/xsane/doc/sane-xsane-doc.html
/usr/share/sane/xsane/doc/sane-xsane-empty-doc.html
/usr/share/sane/xsane/doc/sane-xsane-fax-doc.html
/usr/share/sane/xsane/doc/sane-xsane-gimp-doc.html
/usr/share/sane/xsane/doc/sane-xsane-histogram-doc.html
/usr/share/sane/xsane/doc/sane-xsane-mail-doc.html
/usr/share/sane/xsane/doc/sane-xsane-main-doc.html
/usr/share/sane/xsane/doc/sane-xsane-preview-doc.html
/usr/share/sane/xsane/doc/sane-xsane-save-doc.html
/usr/share/sane/xsane/doc/sane-xsane-setup-copy-doc.html
/usr/share/sane/xsane/doc/sane-xsane-setup-display-doc.html
/usr/share/sane/xsane/doc/sane-xsane-setup-enhancement-doc.html
/usr/share/sane/xsane/doc/sane-xsane-setup-fax-doc.html
/usr/share/sane/xsane/doc/sane-xsane-setup-image-doc.html
/usr/share/sane/xsane/doc/sane-xsane-setup-mail-doc.html
/usr/share/sane/xsane/doc/sane-xsane-setup-save-doc.html
/usr/share/sane/xsane/doc/sane-xsane-standard-doc.html
/usr/share/sane/xsane/doc/sane-xsane-viewer-doc.html
/usr/share/sane/xsane/doc/xsane-advanced.jpg
/usr/share/sane/xsane/doc/xsane-aspect-ratio.jpg
/usr/share/sane/xsane/doc/xsane-autoenhance.jpg
/usr/share/sane/xsane/doc/xsane-autoraise_scanarea.jpg
/usr/share/sane/xsane/doc/xsane-autoselect.jpg
/usr/share/sane/xsane/doc/xsane-batch-scan-add.jpg
/usr/share/sane/xsane/doc/xsane-batch-scan-delete.jpg
/usr/share/sane/xsane/doc/xsane-batch-scan.jpg
/usr/share/sane/xsane/doc/xsane-blur.jpg
/usr/share/sane/xsane/doc/xsane-brightness.jpg
/usr/share/sane/xsane/doc/xsane-clone.jpg
/usr/share/sane/xsane/doc/xsane-colormode.jpg
/usr/share/sane/xsane/doc/xsane-contrast.jpg
/usr/share/sane/xsane/doc/xsane-copy.jpg
/usr/share/sane/xsane/doc/xsane-default.jpg
/usr/share/sane/xsane/doc/xsane-delete-preview-cache.jpg
/usr/share/sane/xsane/doc/xsane-despeckle.jpg
/usr/share/sane/xsane/doc/xsane-disk.jpg
/usr/share/sane/xsane/doc/xsane-fax-project.jpg
/usr/share/sane/xsane/doc/xsane-fax.jpg
/usr/share/sane/xsane/doc/xsane-gamma.jpg
/usr/share/sane/xsane/doc/xsane-gimp.jpg
/usr/share/sane/xsane/doc/xsane-histogram.jpg
/usr/share/sane/xsane/doc/xsane-logo2.jpg
/usr/share/sane/xsane/doc/xsane-mail-project.jpg
/usr/share/sane/xsane/doc/xsane-mail.jpg
/usr/share/sane/xsane/doc/xsane-medium.jpg
/usr/share/sane/xsane/doc/xsane-mirror-x.jpg
/usr/share/sane/xsane/doc/xsane-mirror-y.jpg
/usr/share/sane/xsane/doc/xsane-negative.jpg
/usr/share/sane/xsane/doc/xsane-new.jpg
/usr/share/sane/xsane/doc/xsane-ocr.jpg
/usr/share/sane/xsane/doc/xsane-open.jpg
/usr/share/sane/xsane/doc/xsane-paper-landscape-bottom-left.jpg
/usr/share/sane/xsane/doc/xsane-paper-landscape-bottom-right.jpg
/usr/share/sane/xsane/doc/xsane-paper-landscape-center.jpg
/usr/share/sane/xsane/doc/xsane-paper-landscape-top-left.jpg
/usr/share/sane/xsane/doc/xsane-paper-landscape-top-right.jpg
/usr/share/sane/xsane/doc/xsane-paper-portrait-bottom-left.jpg
/usr/share/sane/xsane/doc/xsane-paper-portrait-bottom-right.jpg
/usr/share/sane/xsane/doc/xsane-paper-portrait-center.jpg
/usr/share/sane/xsane/doc/xsane-paper-portrait-top-left.jpg
/usr/share/sane/xsane/doc/xsane-paper-portrait-top-right.jpg
/usr/share/sane/xsane/doc/xsane-pipette-black.jpg
/usr/share/sane/xsane/doc/xsane-pipette-gray.jpg
/usr/share/sane/xsane/doc/xsane-pipette-white.jpg
/usr/share/sane/xsane/doc/xsane-preferences.jpg
/usr/share/sane/xsane/doc/xsane-preset-area.jpg
/usr/share/sane/xsane/doc/xsane-preview.jpg
/usr/share/sane/xsane/doc/xsane-printer.jpg
/usr/share/sane/xsane/doc/xsane-rename.jpg
/usr/share/sane/xsane/doc/xsane-resolution.jpg
/usr/share/sane/xsane/doc/xsane-restore.jpg
/usr/share/sane/xsane/doc/xsane-rgb-default.jpg
/usr/share/sane/xsane/doc/xsane-rgb-values.jpg
/usr/share/sane/xsane/doc/xsane-rotate-180.jpg
/usr/share/sane/xsane/doc/xsane-rotate-270.jpg
/usr/share/sane/xsane/doc/xsane-rotate-90.jpg
/usr/share/sane/xsane/doc/xsane-rotation.jpg
/usr/share/sane/xsane/doc/xsane-save.jpg
/usr/share/sane/xsane/doc/xsane-save2.jpg
/usr/share/sane/xsane/doc/xsane-scale.jpg
/usr/share/sane/xsane/doc/xsane-scansource.jpg
/usr/share/sane/xsane/doc/xsane-setup-copy.jpg
/usr/share/sane/xsane/doc/xsane-setup-display.jpg
/usr/share/sane/xsane/doc/xsane-setup-enhancement.jpg
/usr/share/sane/xsane/doc/xsane-setup-fax.jpg
/usr/share/sane/xsane/doc/xsane-setup-image.jpg
/usr/share/sane/xsane/doc/xsane-setup-mail.jpg
/usr/share/sane/xsane/doc/xsane-setup-ocr.jpg
/usr/share/sane/xsane/doc/xsane-setup-save.jpg
/usr/share/sane/xsane/doc/xsane-standard.jpg
/usr/share/sane/xsane/doc/xsane-store.jpg
/usr/share/sane/xsane/doc/xsane-threshold.jpg
/usr/share/sane/xsane/doc/xsane-viewer-window.jpg
/usr/share/sane/xsane/doc/xsane-viewer.jpg
/usr/share/sane/xsane/doc/xsane-visible-area.jpg
/usr/share/sane/xsane/doc/xsane-zoom-in.jpg
/usr/share/sane/xsane/doc/xsane-zoom-not.jpg
/usr/share/sane/xsane/doc/xsane-zoom-out.jpg
/usr/share/sane/xsane/doc/xsane-zoom-undo.jpg
/usr/share/sane/xsane/doc/xsane-zoom.jpg
/usr/share/sane/xsane/doc/xsane.jpg
/usr/share/sane/xsane/sane-epson-logo.xpm
/usr/share/sane/xsane/sane-hp-logo.xpm
/usr/share/sane/xsane/sane-umax-logo.xpm
/usr/share/sane/xsane/sane-xsane-logo.xpm
/usr/share/sane/xsane/xsane-calibration.pnm
/usr/share/sane/xsane/xsane-eula.txt
/usr/share/sane/xsane/xsane-gpl.txt
/usr/share/sane/xsane/xsane-logo.xpm
/usr/share/sane/xsane/xsane-startimage.pnm
/usr/share/sane/xsane/xsane-style.rc

Comment 1 Boris Folgmann 2004-10-14 10:17:53 UTC
Same problem. .desktop was included in older versions of this package.
Please fix that.


Comment 2 Seth Nickell 2004-10-16 17:41:13 UTC
Xsane is an archaic piece of software UI-wise. We install it by
default because its the only way to get scanning, but we don't want it
to show up in the menus in a default install (but rather be accessed,
e.g., through Gimp).  It would be fine to have an "xsane-gui" package
or somesuch that was NOT installed by default and just included the
.desktop file. Really the only long term solution is to get a more
modern scanning interface.

Comment 3 Boris Folgmann 2005-03-04 10:38:50 UTC
But why did you remove a menu entry for a working software when there
is NO better replacement?



Note You need to log in before you can comment on or make changes to this bug.